PATCH reservation

Update a reservation

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Channel ID

string
required

Resource ID

Query Params
string

Fieldset. Specify a comma separated list of attributes to return

string

Includes list. Specify a comma separated list of resources to include.

boolean

If set to true, makes the reservation confirmed. A confirmed reservation will not expire. Unconfirmed reservations will expire based on the temporary_booking_validity_in_hours attribute of the channel (by default 1 hour).

boolean
Defaults to false

If set to true, validates that the reservation preview satisfies the minimum advance notice requirements.

boolean
Defaults to false

If set to true, validates that the stay of the reservation preview does not exceed the maximum length of stay supported by the availability cache (30).

string
enum
Defaults to based_on_current_prices

Update mode for the rent of the order. based_on_current_prices: Recalculates the rent based on current prices. based_on_current_order: Retains the rent of the current order. extend_with_current_prices: Retains the rent of the current stay and adds the current prices of the nights the stay is extended with. Only possible when the stay is extended within the same type. When omitted, the deprecated order_update_mode is used if passed.

Allowed:
string
enum
Defaults to based_on_current_prices

Update mode for the costs of the order. based_on_current_prices: Recalculates the costs based on current prices. based_on_current_order: Retains the costs of the current order. When omitted, the deprecated order_update_mode is used if passed.

Allowed:
string
enum
Defaults to based_on_current_prices

Deprecated, use rent_order_update_mode and costs_order_update_mode instead. Update mode for both the rent and costs of the order. based_on_current_prices: Recalculates the order based on current prices. based_on_current_order: Retains the main order items of the current order.

Allowed:
Body Params
data
object

A reservation of a single accommodation (InventoryObject) as part of a Booking.
Each Reservation in a Booking may have mutiple order items. The total price
of a Booking is the sum of all order items belonging to its reservations.

included
array
included
Headers
string

Supported languages. A comma separated list with one or more of the following locales: cs, da-DK, de, de-AT, de-CH, en-US, en-GB, es, fr, fr-BE, fr-LU, it, nb, nl, nl-BE, pl, pt, tr, en, da. Default: 'en'.

Responses

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/vnd.api+json